import { Description } from "./Description";
import { WebFilteringOptionsDescription } from "./WebFilteringOptionsDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebComboDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private ah;
    get dataRef(): string;
    set dataRef(a: string);
    private aq;
    get name(): string;
    set name(a: string);
    private m;
    get disabled(): boolean;
    set disabled(a: boolean);
    private r;
    get required(): boolean;
    set required(a: boolean);
    private o;
    get invalid(): boolean;
    set invalid(a: boolean);
    private q;
    get outlined(): boolean;
    set outlined(a: boolean);
    private s;
    get singleSelect(): boolean;
    set singleSelect(a: boolean);
    private j;
    get autofocus(): boolean;
    set autofocus(a: boolean);
    private k;
    get autofocusList(): boolean;
    set autofocusList(a: boolean);
    private ap;
    get label(): string;
    set label(a: string);
    private at;
    get placeholder(): string;
    set placeholder(a: string);
    private au;
    get placeholderSearch(): string;
    set placeholderSearch(a: string);
    private ai;
    get dir(): string;
    set dir(a: string);
    private p;
    get open(): boolean;
    set open(a: boolean);
    private av;
    get valueKey(): string;
    set valueKey(a: string);
    private aj;
    get displayKey(): string;
    set displayKey(a: string);
    private am;
    get groupKey(): string;
    set groupKey(a: string);
    private an;
    get groupSorting(): string;
    set groupSorting(a: string);
    private h;
    get filteringOptions(): WebFilteringOptionsDescription;
    set filteringOptions(a: WebFilteringOptionsDescription);
    private l;
    get caseSensitiveIcon(): boolean;
    set caseSensitiveIcon(a: boolean);
    private n;
    get disableFiltering(): boolean;
    set disableFiltering(a: boolean);
    private ao;
    get itemTemplateRef(): string;
    set itemTemplateRef(a: string);
    private al;
    get groupHeaderTemplateRef(): string;
    set groupHeaderTemplateRef(a: string);
    private ae;
    get changeRef(): string;
    set changeRef(a: string);
    private ak;
    get focusRef(): string;
    set focusRef(a: string);
    private ad;
    get blurRef(): string;
    set blurRef(a: string);
    private as;
    get openingRef(): string;
    set openingRef(a: string);
    private ar;
    get openedRef(): string;
    set openedRef(a: string);
    private ag;
    get closingRef(): string;
    set closingRef(a: string);
    private af;
    get closedRef(): string;
    set closedRef(a: string);
}
